// =============================================================================
// UTEW_ComboRing
// This class will generate an access none which is a null pointer in c++ which Uscript is based on.
// If anybody would like to fix this scriptwarning and compile a new version of this mutator feel free to do so.
// =============================================================================
class UTEW_ComboRing extends Effects;

simulated function PostBeginPlay()
{
	if ( Level.NetMode != NM_DedicatedServer )
	{
		SpawnEffects();
	}	
	if ( Instigator != None )
		MakeNoise(0.5);
}

simulated function SpawnEffects()
{
	local effects s;

	s=Spawn(Class'UTEW_ShockRifleWave',,'',Location, Instigator.ViewRotation);
	s.lifespan=0.8;
	s.scaleglow=100.0;
	s.multiskins[1]=texture'shocks';
	s.RemoteRole = ROLE_None;

	s=Spawn(Class'UTEW_ShockRifleWave',,'',Location, Instigator.ViewRotation);
	s.lifespan=1.0;
	s.scaleglow=5.0;
	s.multiskins[1]=texture'shocks';
	s.RemoteRole = ROLE_None;

	s=Spawn(Class'UTEW_ShockRifleWave',,'',Location, Instigator.ViewRotation);
	s.lifespan=1.2;
	s.scaleglow=5.0;
	s.multiskins[1]=texture'shocks';
	s.RemoteRole = ROLE_None;

	s=Spawn(Class'UTEW_ShockFlare',,'',Location, Instigator.ViewRotation);
	s.drawtype=dt_sprite;
	s.texture=texture'utflare5';
	s.drawscale=5;

}

defaultproperties
{
     RemoteRole=ROLE_SimulatedProxy
}
