class UTEW_ShockRifleWave extends ShockrifleWave;

simulated function PostBeginPlay() 
{
	super.PostBeginPlay();
	if (!Level.bHighDetailMode || Level.bDropDetail)
		LightType = LT_None;
	randspin(10000);
}

simulated function Tick( float DeltaTime )
{
	local float ShockSize;

	if(Default.Lifespan/lifespan<=2)
		ShockSize = 2/((Lifespan/Default.Lifespan)+0.05);
	else if(Default.Lifespan/lifespan>=2)
		ShockSize = 4*((Lifespan/Default.Lifespan)+0.05);

	if ( Level.NetMode != NM_DedicatedServer )
	{
		ScaleGlow = (Lifespan/Default.Lifespan)*1.3;
		//AmbientGlow = ScaleGlow * 255;
		DrawScale = ShockSize;
	}
}

simulated final function RandSpin(float spinRate)
{
	DesiredRotation = RotRand();
	RotationRate.Yaw = spinRate * 2 *FRand() - spinRate;
	RotationRate.Pitch = spinRate * 2 *FRand() - spinRate;
	RotationRate.Roll = spinRate * 2 *FRand() - spinRate;	
}

defaultproperties
{
     bFixedRotationDir=True
     LightHue=140
}
