//=============================================================================
// UTEW_ShockBeam.
//=============================================================================
class UTEW_ShockBeam expands ShockBeam;

#exec TEXTURE IMPORT FILE=Textures\SBeam.bmp Name=SBeam GROUP=Skins MIPMAPS=OFF

simulated function Timer()
{
	local UTEW_ShockBeam r;
	
	if (NumPuffs>0)
	{
		r = Spawn(class'UTEW_ShockBeam',,,Location+MoveAmount);
		r.RemoteRole = ROLE_None;
		r.NumPuffs = NumPuffs -1;
		r.MoveAmount = MoveAmount;
	}

}

defaultproperties
{
     Texture=Texture'SBeam'
     DrawScale=0.440000
}
